From 316f8b4c6149d1d858d2965b4536db86afa5d1a8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Piotr=20W=C3=B3jcik?= <chocimier@tlen.pl>
Date: Sat, 20 Jul 2019 22:35:19 +0200
Subject: [PATCH] olive: update to 0.1.0.

---
 srcpkgs/olive/template | 18 ++++++------------
 srcpkgs/olive/update   |  2 +-
 2 files changed, 7 insertions(+), 13 deletions(-)

diff --git a/srcpkgs/olive/template b/srcpkgs/olive/template
index f3d4b05ed26..0a93dbbc59a 100644
--- a/srcpkgs/olive/template
+++ b/srcpkgs/olive/template
@@ -1,23 +1,17 @@
 # Template file for 'olive'
 pkgname=olive
-version=0.0.0.20181223
+version=0.1.0
 revision=1
-_version=${version/0.0.0./}
-wrksrc=${pkgname}-${_version}
 build_style=qmake
-hostmakedepends="qt5-qmake qt5-multimedia-devel pkg-config"
-makedepends="qt5-devel qt5-multimedia-devel ffmpeg-devel"
+hostmakedepends="qt5-qmake qt5-multimedia-devel qt5-svg-devel pkg-config"
+makedepends="qt5-devel qt5-multimedia-devel qt5-svg-devel ffmpeg-devel frei0r-plugins"
 short_desc="Non-linear video editor"
 maintainer="Johannes <johannes.brechtmann@gmail.com>"
 license="GPL-3.0-or-later"
 homepage="https://www.olivevideoeditor.org"
-distfiles="https://github.com/olive-editor/olive/archive/${_version}.tar.gz"
-checksum=c4b65afe9ed94f8f8b30b3ea5139bcda1740f04a7819d10e059a62d15b7051ee
-
-pre_configure() {
-	rm src.pro
-}
+distfiles="https://github.com/olive-editor/olive/archive/${version}.tar.gz"
+checksum=099fc37fd9ae0cf272a86d0fb56ede154b0b76779690631cd256339a0a440244
 
 do_install() {
-	vbin Olive
+	vbin olive-editor
 }
diff --git a/srcpkgs/olive/update b/srcpkgs/olive/update
index 9be966bb996..091ee4faee7 100644
--- a/srcpkgs/olive/update
+++ b/srcpkgs/olive/update
@@ -1 +1 @@
-version="${_version}"
+ignore="[12][0-9][0-9][0-9][01][0-9][0-3][0-9]"
